
package com.tmerclub.cloud.combo.model;

import com.tmerclub.cloud.common.model.BaseModel;
import com.tmerclub.cloud.common.product.vo.ComboSpuSkuVO;

import java.io.Serial;
import java.io.Serializable;
import java.util.List;

/**
 * 套装商品项
 *
 * @author tmerclub
 * @date 2022-08-16 09:18:06
 */
public class ComboSpu extends BaseModel implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 套餐商品项id
     */
    private Long comboSpuId;

    /**
     * 套餐id
     */
    private Long comboId;

    /**
     * 套餐价格
     */
    private Long comboPrice;

    /**
     * 商品价格
     */
    private Long price;

    /**
     * 类型：1：主商品 2：搭配商品
     */
    private Integer type;

    /**
     * 是否必选：1：是 0：否
     */
    private Integer required;

    /**
     * 起搭数量
     */
    private Integer leastNum;

    /**
     * 状态， -1：已删除 1：正常
     */
    private Integer status;

    /**
     * sku项列表
     */
    private List<ComboSpuSkuVO> skuList;

    /**
     * 商品id
     */
    private Long spuId;

    public Long getComboSpuId() {
        return comboSpuId;
    }

    public void setComboSpuId(Long comboSpuId) {
        this.comboSpuId = comboSpuId;
    }

    public Long getComboId() {
        return comboId;
    }

    public void setComboId(Long comboId) {
        this.comboId = comboId;
    }

    public Long getComboPrice() {
        return comboPrice;
    }

    public void setComboPrice(Long comboPrice) {
        this.comboPrice = comboPrice;
    }

    public Long getPrice() {
        return price;
    }

    public void setPrice(Long price) {
        this.price = price;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public Integer getRequired() {
        return required;
    }

    public void setRequired(Integer required) {
        this.required = required;
    }

    public Integer getLeastNum() {
        return leastNum;
    }

    public void setLeastNum(Integer leastNum) {
        this.leastNum = leastNum;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public List<ComboSpuSkuVO> getSkuList() {
        return skuList;
    }

    public void setSkuList(List<ComboSpuSkuVO> skuList) {
        this.skuList = skuList;
    }

    public Long getSpuId() {
        return spuId;
    }

    public void setSpuId(Long spuId) {
        this.spuId = spuId;
    }

    @Override
    public String toString() {
        return "ComboSpu{" +
                "comboSpuId=" + comboSpuId +
                ", comboId=" + comboId +
                ", comboPrice=" + comboPrice +
                ", price=" + price +
                ", type=" + type +
                ", required=" + required +
                ", leastNum=" + leastNum +
                ", status=" + status +
                ", skuList=" + skuList +
                ", spuId=" + spuId +
                '}';
    }
}
